Package: grails.web.mapping

## [Groovy] Class UrlMappingsFactory

- grails.web.mapping.UrlMappingsFactory

- All Implemented Interfaces and Traits:
    org.springframework.context.ApplicationContextAware

      @groovy.transform.CompileStatic
      class UrlMappingsFactory
      extends java.lang.Object
      implements org.springframework.context.ApplicationContextAware

  Helper class for creating a UrlMapping. Useful for testing

  Authors:
    Graeme Rocher
  Since:
    3.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.springframework.context.ApplicationContext` | `applicationContext` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.context.ApplicationContext` | `applicationContext`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `UrlMappingsFactory ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `UrlMappings` | `create(groovy.lang.Closure mappings)`
    `` | `UrlMappings` | `create(java.lang.Class mappings)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private org.springframework.context.ApplicationContext applicationContext

  - ### Property Detail

    - #### org.springframework.context.ApplicationContext applicationContext

  - ### Constructor Detail

    - #### UrlMappingsFactory()

  - ### Method Detail

    - #### UrlMappings create(groovy.lang.Closure mappings)

    - #### UrlMappings create(java.lang.Class mappings)